<template>
  <PageWrapper dense contentFullHeight  contentClass="flex">
    <MetricAppSystems  class="w-1/2 xl:w-1/2" @onClickRow1="clickMetricRow" ref="registerAppSystems"></MetricAppSystems>
    <MetricAppSystemReportList  class="w-1/2 xl:w-1/2" ref="registerAppSystemReport"></MetricAppSystemReportList>
  </PageWrapper>
</template>
<script lang="ts" setup>
  import {ref,nextTick} from 'vue';
  import MetricAppSystems from './MetricAppSystems.vue';
  import MetricAppSystemReportList from './MetricAppSystemReportList.vue';
  import { PageWrapper } from '/@/components/Page';
  
  const emit = defineEmits(['register','success']);

  const registerAppSystemReport  =ref();
  const registerAppSystems = ref();

  const curSelAppSystem = ref({})
  

  function clickMetricRow(obj) {
    nextTick(() => {
      registerAppSystemReport.value.setData(obj)
    });
  }

 
</script>
